<?php

namespace Sibs\Stargate\Constants;

defined('ABSPATH') || exit;

class IntegrationTypes implements ConstantsInterface
{
    public const REDIRECT = 'redirect';
    public const INLINE = 'inline';

    /**
     * All.
     */
    public static function all(): array
    {
        return [
            self::REDIRECT,
            self::INLINE,
        ];
    }

    /**
     * Default.
     */
    public static function default(): mixed
    {
        return self::REDIRECT;
    }
}
